Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

filevault in AEM6.4

erling_klaeboe
Level 1
Level 1

Seems like that filevault is no longer available when installing AEM 6.4.

In AEM6.3 we are using v3.1.38 of filevault which is located in crx-quickstart/opt/filevault/

This directory doesn't exist in 6.4.

The documentation of 6.4 links to Package Share but there is only an old version of filevault 2.4.40 there.

In Apache Jackrabbit - Downloads

there is only src files available and no binaries.

Should we compile it ourselves ?

Please advise what to do in order to get the proper version of filevault for AEM 6.4

Thanks and best regards

Erling Klaeboe

SpareBank1

1 Accepted Solution
CQHondo
Correct answer by
Level 2
Level 2

I filed a DayCare ticket and here is the response I received:

I was able to download the source from this link and perform a Maven build.  You get a bunch of stuff after the build, but you'll find the zip file under the directory: ...\vault-cli\target

View solution in original post

16 Replies
Jörg_Hoh
Employee
Employee

That's unfortunate. Please raise a Daycare ticket, so the most recent version can be provided.

Thanks!

Jörg

thaddeusreeves
Level 1
Level 1

Is filevault meant to be included with AEM 6.4 now?  I don't see it included anymore on 6.4 SP1 installs in crx-quickstart/opt.  Is it always now meant to be downloaded separately?

Jörg_Hoh
Employee
Employee

I cannot answer that question; maybe @erling_klaboe can post the results of the ticket.

CQHondo
Correct answer by
Level 2
Level 2

I filed a DayCare ticket and here is the response I received:

I was able to download the source from this link and perform a Maven build.  You get a bunch of stuff after the build, but you'll find the zip file under the directory: ...\vault-cli\target

View solution in original post

karan_sharma_di
Level 2
Level 2

Hi Guys,

Not sure if it will help too much. But you could for the mean time find the vault cli zipped files here :

 

https://repository.apache.org/#nexus-search;quick~vault

Exact link to download the vault cli :

https://repository.apache.org/service/local/repositories/orgapachejackrabbit-1478/content/org/apache...

 

This link is the 3.4.2 version

 

Follow this screenshot : 


Bildschirmfoto 2020-01-10 um 14.54.07.png

 

Regards,
Karan Sharma

tareknas
Level 1
Level 1

I am facing the same problem. It seems I must download FileVault 2.4.34 and I cannot find this ZIP anywhere.

 

When I use a more recent version of FileVault to configure the VaultClipse plugin, I get the error in Eclipse "Please correct the vault directory.".

 

I appreciate your help.

 

Tarek

mvk007
Level 2
Level 2

Please download the zip file fromhttps://search.maven.org/search?q=vault-cli or refer this blog https://cqbasics.blogspot.com/2016/04/install-vaultclipse-plugin-into-eclipse.html to follow the steps how to configure after you download the bin zip file

tarekahf
Level 8
Level 8
The needed version FileVault 2.4.34 doesn't exist anywhere on the globe.
tarekahf
Level 8
Level 8

I spent a lot of time on this issue...

 

I tried to install the VaultClipse plugin for Eclipse, but all my efforts went in vain.

 

I then was told by Adobe support that this plugin is old and will not work. They recommended me to use AEM Dev Tools Plugin under Eclipse for syncing source code related to Maven Archetypes (for Java Classes and Bundles), and for all the other source code (Sites, Adaptive Forms, and Client Libs...etc...), we can use AEM Brackets Editor with the AEM Plugin to sync the needed CRX DE nodes. It is not so perfect, but at least there is a way to manage your AEM code in GIT or SVN Repository.

 

If you have to use Vault, then your only option is to use the command-line interface. If you manage to work with the VaultClipse plugin, please let me know how you resolved the problem.

 

Tarek

Veena_Vikram
Community Advisor
Community Advisor
@tarek , I remember facing a similar issue when I used to work with Eclipse. Only the older filevault version works with it. I think it is 2.4. something. But you should not face any such issue if you work with IntelliJ I believe